Update Association , Allows you to update labels of an associations. Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-293776/cd0f4122abc04d3

http
PUT https://services.leadconnectorhq.com/associations/{associationId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
associationIdstringYes

Body

NameTypeRequiredExampleDescription
firstObjectLabelobjectYesstudent
secondObjectLabelobjectYestutor

Responses

200 - Successful response
  • locationId (string, required): Example: string

  • id (string, required): Example: ve9EPM428h8vShlRW1KT

  • key (string, required): First Objects Association Label (custom_objects.children) Example: student

  • firstObjectLabel (object, required): First Objects Association Label (custom_objects.children) Example: student

  • firstObjectKey (object, required): First Objects Key Example: custom_objects.children

  • secondObjectLabel (object, required): Second Object Association Label (contact) Example: Teacher

  • secondObjectKey (object, required): Second Objects Key Example: contact

  • associationType (object, required): Association Type can be USER_DEFINED or SYSTEM_DEFINED Example: USER_DEFINED

json
{
  "locationId": "string",
  "id": "ve9EPM428h8vShlRW1KT",
  "key": "student",
  "firstObjectLabel": "student",
  "firstObjectKey": "custom_objects.children",
  "secondObjectLabel": "Teacher",
  "secondObjectKey": "contact",
  "associationType": "USER_DEFINED"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/associations/YOUR_associationId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "firstObjectLabel": "student",
  "secondObjectLabel": "tutor"
}'

Last updated October 26, 2026

Was this page helpful?